Page MenuHomePhabricator

"Don't initialize MWServices super early" causes test failure on .7
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/#/c/331522/

19:46:38 PHP Notice:  Cannot find site mywiki in sites table [Called from Wikibase\Client\WikibaseClient::newSiteGroup in /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/extensions/Wikidata/extensions/Wikibase/client/includes/WikibaseClient.php at line 716] in /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/includes/debug/MWDebug.php on line 309
19:46:38 PHP Stack trace:
19:46:38 PHP   1. {main}() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/maintenance/update.php:0
19:46:38 PHP   2. require_once() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/maintenance/update.php:217
19:46:38 PHP   3. UpdateMediaWiki->execute() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/maintenance/doMaintenance.php:111
19:46:38 PHP   4. LoggedUpdateMaintenance->execute() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/maintenance/update.php:184
19:46:38 PHP   5. FlowCreateTemplates->doDBUpdates() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/maintenance/Maintenance.php:1576
19:46:38 PHP   6. FlowCreateTemplates->create() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/extensions/Flow/maintenance/FlowCreateTemplates.php:86
19:46:38 PHP   7. WikiPage->doEditContent() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/extensions/Flow/maintenance/FlowCreateTemplates.php:115
19:46:38 PHP   8. WikiPage->prepareContentForEdit() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/includes/page/WikiPage.php:1698
19:46:38 PHP   9. AbstractContent->getParserOutput() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/includes/page/WikiPage.php:2169
19:46:38 PHP  10. Hooks::run() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/includes/content/AbstractContent.php:501
19:46:38 PHP  11. call_user_func_array:{/home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/includes/Hooks.php:195}() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/includes/Hooks.php:195
19:46:38 PHP  12. Wikibase\Client\Hooks\ParserOutputUpdateHookHandlers::onContentAlterParserOutput() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/includes/Hooks.php:195
19:46:38 PHP  13. Wikibase\Client\Hooks\ParserOutputUpdateHookHandlers::newFromGlobalState() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/extensions/Wikidata/extensions/Wikibase/client/includes/Hooks/ParserOutputUpdateHookHandlers.php:87
19:46:38 PHP  14. Wikibase\Client\WikibaseClient->getLangLinkHandler() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/extensions/Wikidata/extensions/Wikibase/client/includes/Hooks/ParserOutputUpdateHookHandlers.php:66
19:46:38 PHP  15. Wikibase\Client\WikibaseClient->getLangLinkSiteGroup() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/extensions/Wikidata/extensions/Wikibase/client/includes/WikibaseClient.php:829
19:46:38 PHP  16. Wikibase\Client\WikibaseClient->getSiteGroup() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/extensions/Wikidata/extensions/Wikibase/client/includes/WikibaseClient.php:695
19:46:38 PHP  17. Wikibase\Client\WikibaseClient->newSiteGroup() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/extensions/Wikidata/extensions/Wikibase/client/includes/WikibaseClient.php:734
19:46:38 PHP  18. wfWarn() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/extensions/Wikidata/extensions/Wikibase/client/includes/WikibaseClient.php:716
19:46:38 PHP  19. MWDebug::warning() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/includes/GlobalFunctions.php:1142
19:46:38 PHP  20. MWDebug::sendMessage() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/includes/debug/MWDebug.php:164
19:46:38 PHP  21. trigger_error() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/includes/debug/MWDebug.php:309
19:46:38 
19:46:38 Notice: Cannot find site mywiki in sites table [Called from Wikibase\Client\WikibaseClient::newSiteGroup in /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/extensions/Wikidata/extensions/Wikibase/client/includes/WikibaseClient.php at line 716] in /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/includes/debug/MWDebug.php on line 309
19:46:38 
19:46:38 Call Stack:
19:46:38     0.0005     277880   1. {main}() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/maintenance/update.php:0
19:46:38     0.0030     688208   2. require_once('/home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/maintenance/doMaintenance.php') /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/maintenance/update.php:217
19:46:38     0.2200   25052104   3. UpdateMediaWiki->execute() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/maintenance/doMaintenance.php:111
19:46:38     2.5812   44112912   4. LoggedUpdateMaintenance->execute() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/maintenance/update.php:184
19:46:38     2.5817   44113360   5. FlowCreateTemplates->doDBUpdates() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/maintenance/Maintenance.php:1576
19:46:38     2.5874   44511288   6. FlowCreateTemplates->create() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/extensions/Flow/maintenance/FlowCreateTemplates.php:86
19:46:38     2.6151   46011080   7. WikiPage->doEditContent() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/extensions/Flow/maintenance/FlowCreateTemplates.php:115
19:46:38     2.6227   46541248   8. WikiPage->prepareContentForEdit() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/includes/page/WikiPage.php:1698
19:46:38     2.6781   51834000   9. AbstractContent->getParserOutput() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/includes/page/WikiPage.php:2169
19:46:38     2.7034   53098600  10. Hooks::run() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/includes/content/AbstractContent.php:501
19:46:38     2.7037   53126152  11. call_user_func_array:{/home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/includes/Hooks.php:195}() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/includes/Hooks.php:195
19:46:38     2.7037   53126728  12. Wikibase\Client\Hooks\ParserOutputUpdateHookHandlers::onContentAlterParserOutput() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/includes/Hooks.php:195
19:46:38     2.7037   53126920  13. Wikibase\Client\Hooks\ParserOutputUpdateHookHandlers::newFromGlobalState() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/extensions/Wikidata/extensions/Wikibase/client/includes/Hooks/ParserOutputUpdateHookHandlers.php:87
19:46:38     2.7041   53168256  14. Wikibase\Client\WikibaseClient->getLangLinkHandler() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/extensions/Wikidata/extensions/Wikibase/client/includes/Hooks/ParserOutputUpdateHookHandlers.php:66
19:46:38     2.7117   53716344  15. Wikibase\Client\WikibaseClient->getLangLinkSiteGroup() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/extensions/Wikidata/extensions/Wikibase/client/includes/WikibaseClient.php:829
19:46:38     2.7117   53716432  16. Wikibase\Client\WikibaseClient->getSiteGroup() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/extensions/Wikidata/extensions/Wikibase/client/includes/WikibaseClient.php:695
19:46:38     2.7117   53716576  17. Wikibase\Client\WikibaseClient->newSiteGroup() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/extensions/Wikidata/extensions/Wikibase/client/includes/WikibaseClient.php:734
19:46:38     2.7181   53888600  18. wfWarn() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/extensions/Wikidata/extensions/Wikibase/client/includes/WikibaseClient.php:716
19:46:38     2.7181   53888880  19. MWDebug::warning() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/includes/GlobalFunctions.php:1142
19:46:38     2.7182   53891040  20. MWDebug::sendMessage() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/includes/debug/MWDebug.php:164
19:46:38     2.7182   53891408  21. trigger_error() /home/jenkins/workspace/mediawiki-extensions-qunit-jessie/src/includes/debug/MWDebug.php:309

Event Timeline

Reedy created this task.Jan 10 2017, 8:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 10 2017, 8:03 PM
Krinkle closed this task as Resolved.Mar 20 2018, 2:39 AM
Krinkle claimed this task.
Krinkle added a subscriber: Krinkle.

Seems resolved. Re-open if it pops back.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM